Package net.sf.saxon.functions

## Class AccessorFn.MinutesFromDateTime

- java.lang.Object
- - net.sf.saxon.functions.AbstractFunction
  - - net.sf.saxon.functions.SystemFunction
    - - net.sf.saxon.functions.ScalarSystemFunction
      - - net.sf.saxon.functions.AccessorFn
        - - net.sf.saxon.functions.AccessorFn.MinutesFromDateTime

- All Implemented Interfaces:
    `Callable`, `Function`, `GroundedValue`, `Item`, `Sequence`
  Enclosing class:
    AccessorFn

      public static class AccessorFn.MinutesFromDateTime
      extends AccessorFn

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.sf.saxon.functions.AccessorFn

      `AccessorFn.Component, AccessorFn.DayFromDate, AccessorFn.DayFromDateTime, AccessorFn.DaysFromDuration, AccessorFn.HoursFromDateTime, AccessorFn.HoursFromDuration, AccessorFn.HoursFromTime, AccessorFn.LocalNameFromQName, AccessorFn.MinutesFromDateTime, AccessorFn.MinutesFromDuration, AccessorFn.MinutesFromTime, AccessorFn.MonthFromDate, AccessorFn.MonthFromDateTime, AccessorFn.MonthsFromDuration, AccessorFn.NamespaceUriFromQName, AccessorFn.PrefixFromQName, AccessorFn.SecondsFromDateTime, AccessorFn.SecondsFromDuration, AccessorFn.SecondsFromTime, AccessorFn.TimezoneFromDate, AccessorFn.TimezoneFromDateTime, AccessorFn.TimezoneFromTime, AccessorFn.YearFromDate, AccessorFn.YearFromDateTime, AccessorFn.YearsFromDuration`

  - ### Field Summary

    - ### Fields inherited from class net.sf.saxon.functions.ScalarSystemFunction

      `ZERO_LENGTH_STRING`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MinutesFromDateTime()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `AccessorFn.Component` | `getComponentId()` |

    - ### Methods inherited from class net.sf.saxon.functions.AccessorFn

      `evaluate, getCompilerName, getIntegerBounds, getRequiredComponent`

    - ### Methods inherited from class net.sf.saxon.functions.ScalarSystemFunction

      `call, makeFunctionCall, resultWhenEmpty`

    - ### Methods inherited from class net.sf.saxon.functions.SystemFunction

      `dependsOnContextItem, dynamicCall, equals, export, exportAdditionalArguments, exportAttributes, fixArguments, getArity, getCardinality, getContextNode, getDescription, getDetails, getErrorCodeForTypeErrors, getFunctionItemType, getFunctionName, getNetCost, getOperandRoles, getRequiredType, getResultItemType, getResultItemType, getRetainedStaticContext, getSpecialProperties, getStaticBaseUriString, getStreamerName, importAttributes, isTrustedResultType, makeCall, makeFunction, makeOptimizedFunctionCall, resultIfEmpty, setArity, setDetails, setRetainedStaticContext, supplyTypeInformation, toShortString, toString, typeCheckCaller`

    - ### Methods inherited from class net.sf.saxon.functions.AbstractFunction

      `atomize, deepEquals, effectiveBooleanValue, getAnnotations, getStringValue, getStringValueCS, isArray, isMap, makeNewContext, simplify, typeCheck`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface net.sf.saxon.om.Function

      `getGenre`

    - ### Methods inherited from interface net.sf.saxon.om.GroundedValue

      `asIterable, concatenate, containsNode, materialize`

    - ### Methods inherited from interface net.sf.saxon.om.Item

      `getLength, head, isStreamed, itemAt, iterate, reduce, subsequence`

    - ### Methods inherited from interface net.sf.saxon.om.Sequence

      `makeRepeatable`

- - ### Constructor Detail

    - #### MinutesFromDateTime

          public MinutesFromDateTime()

  - ### Method Detail

    - #### getComponentId

          public AccessorFn.Component getComponentId()

      Specified by:
        `getComponentId` in class `AccessorFn`